dofile(LockOn_Options.script_path.."MPCD/indicator/MPCD_definitions.lua")

-- Vars
local module_name = {}

module_name[1] = {}
module_name[1][1]	= "SAAHS"
module_name[1][2]	= "4"

module_name[2] = {}
module_name[2][1]	= "INS"
module_name[2][2]	= "90X-L9CCU"

module_name[3] = {}
module_name[3][1]	= "EMS"
module_name[3][2]	= "132"

module_name[4] = {}
module_name[4][1]	= "DVMS"
module_name[4][2]	= "89C-011"

module_name[5] = {}
module_name[5][1]	= "DSS"
module_name[5][2]	= "87D-004"

module_name[6] = {}
module_name[6][1]	= "MAGR"
module_name[6][2]	= "-505"

module_name[7] = {}
module_name[7][1]	= "FLIR"
module_name[7][2]	= "01060106"

module_name[8] = {}
module_name[8][1]	= "ADC"
module_name[8][2]	= "8"

-- Menu Options
local	mpcd_mm_btn_12				= CreateElement "ceStringPoly"
		mpcd_mm_btn_12.name			= "mpcd_mm_btn_12"
		mpcd_mm_btn_12.material		= mpcd_font_base
		mpcd_mm_btn_12.init_pos		= mpcd_btn_12_pos
		mpcd_mm_btn_12.alignment	= "CenterCenter"
		mpcd_mm_btn_12.value		= "C\nO\nN\nF\n1"
		mpcd_mm_btn_12.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_12)

local	mpcd_mm_btn_14				= CreateElement "ceStringPoly"
		mpcd_mm_btn_14.name			= "mpcd_mm_btn_14"
		mpcd_mm_btn_14.material		= mpcd_font_base
		mpcd_mm_btn_14.init_pos		= mpcd_btn_14_pos
		mpcd_mm_btn_14.alignment	= "CenterCenter"
		mpcd_mm_btn_14.value		= "C\nO\nN\nF\n3"
		mpcd_mm_btn_14.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_14)

local	mpcd_mm_btn_18				= CreateElement "ceStringPoly"
		mpcd_mm_btn_18.name			= "mpcd_mm_btn_18"
		mpcd_mm_btn_18.material		= mpcd_font_base
		mpcd_mm_btn_18.init_pos		= mpcd_btn_18_pos
		mpcd_mm_btn_18.alignment	= "CenterCenter"
		mpcd_mm_btn_18.value		= "MENU"
		mpcd_mm_btn_18.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_18)

-- Display
local	conf_page_title				= CreateElement "ceStringPoly"
		conf_page_title.name		= "conf_page_title"
		conf_page_title.material	= mpcd_font_base
		conf_page_title.init_pos	= {0.0, 0.8, 0.0}
		conf_page_title.alignment	= "CenterCenter"
		conf_page_title.value		= "SOFTWARE CONFIGURATION PAGE 2"
		conf_page_title.stringdefs	= MPCD_data1_font_size
Add_MPCD_Element(conf_page_title)

local dRow = 0.65

for i = 1, 8 do
	dRow = dRow - 0.10
	
	local	device_col_1				= CreateElement "ceStringPoly"
			device_col_1.name			= "device_col_1" .. string.format("%02d", i)
			device_col_1.material		= mpcd_font_base
			device_col_1.init_pos		= {-0.7, dRow, 0.0}
			device_col_1.alignment		= "LeftCenter"
			device_col_1.value			= module_name[i][1]
			device_col_1.stringdefs		= MPCD_data1_font_size
	Add_MPCD_Element(device_col_1)
	
	local	device_col_2				= CreateElement "ceStringPoly"
			device_col_2.name			= "device_col_2" .. string.format("%02d", i)
			device_col_2.material		= mpcd_font_base
			device_col_2.init_pos		= {-0.0, dRow, 0.0}
			device_col_2.alignment		= "LeftCenter"
			device_col_2.value			= module_name[i][2]
			device_col_2.stringdefs		= MPCD_data1_font_size
	Add_MPCD_Element(device_col_2)
	
end